Bug 1295435 - Attaching untagged and tagged networks when one has default MTU (1500) and another one has configured 1500 MTU to the same NIC fails
Attaching untagged and tagged networks when one has default MTU (1500) and an...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Network (Show other bugs)
3.6.2
x86_64 Linux
unspecified Severity high (vote)
: ovirt-3.6.2
: 3.6.2.5
Assigned To: Alona Kaplan
Meni Yakove
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-04 08:53 EST by GenadiC
Modified: 2016-02-18 06:17 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 06:17:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
ylavi: planning_ack+
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)
engine log (128.03 KB, text/plain)
2016-01-04 08:53 EST, GenadiC
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 51485 master MERGED engine: Default MTU equals to MTU 0 2016-01-10 03:19 EST
oVirt gerrit 51590 ovirt-engine-3.6 MERGED engine: Default MTU equals to MTU 0 2016-01-11 10:34 EST
oVirt gerrit 51591 ovirt-engine-3.6.2 MERGED engine: Default MTU equals to MTU 0 2016-01-11 10:38 EST

  None (edit)
Description GenadiC 2016-01-04 08:53:48 EST
Created attachment 1111487 [details]
engine log

Description of problem:
Given 2 networks: VM untagged with default MTU of 1500 and VM VLAN network with manually configured MTU of 1500 fails on attaching to the same NIC with     Cannot setup Networks. The following Logical Networks do not have the same MTU value: <net1>(default),<net2>(1500).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Create VM network with default MTU
2.Create VM VLAN network with manually configured MTU of 1500
3.Try to attach both networks to the same NIC

Actual results:

Cannot setup Networks. The following Logical Networks do not have the same MTU value: <net1>(default),<net2>(1500).
Expected results:
Action should succeed

Additional info:
Comment 1 Michael Burman 2016-01-21 04:33:22 EST
Verified on - 3.6.2.6-0.1.el6

Note You need to log in before you can comment on or make changes to this bug.